Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.molbio
Interface RestrictionSite

All Superinterfaces:
  Annotatable, Changeable, Feature, FeatureHolder, StrandedFeature

All Known Implementing Classes:
  SimpleRestrictionSite

    public interface RestrictionSite

extends StrandedFeature

`RestrictionSite` represents the recognition site of a restriction enzyme.

Since:
  1.3
Author:
  Keith James

Nested Class Summary
`static class` | `RestrictionSite.Template` `Template` for construction of `RestrictionSite`s.

Nested classes/interfaces inherited from interface org.biojava.bio.seq.StrandedFeature
`StrandedFeature.Strand`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.Feature
`Feature.ByLocationComparator`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.StrandedFeature
`NEGATIVE, POSITIVE, STRAND, UNKNOWN`

Fields inherited from interface org.biojava.bio.seq.Feature
`byLocationOrder, LOCATION, PROPERTY_DATA_KEY, SOURCE, SOURCETERM, TYPE, TYPETERM`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`RestrictionEnzyme` | `getEnzyme()` `getEnzyme` returns the enzyme which cuts at this site.
`int` | `getPosition()` `getPosition` returns the common, forward strand cut site.

Methods inherited from interface org.biojava.bio.seq.StrandedFeature
`getStrand, getSymbols, setStrand`

Methods inherited from interface org.biojava.bio.seq.Feature
`features, getLocation, getParent, getSequence, getSource, getSourceTerm, getType, getTypeTerm, makeTemplate, setLocation, setSource, setSourceTerm, setType, setTypeTerm`

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`containsFeature, countFeatures, createFeature, filter, filter, getSchema, removeFeature`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getPosition

    int getPosition()

  `getPosition` returns the common, forward strand cut site. Note that some enzymes cut in more than one position. Such supplementary sites may be calculated by retrieving the `RestrictionEnzyme` instance and using its methods to calculate the position.

  Returns:
    an `int` indicating the base immediately before the cleavage site on the forward strand.

### getEnzyme

    RestrictionEnzyme getEnzyme()

  `getEnzyme` returns the enzyme which cuts at this site. A sequence which is the target for several different enzymes is expected to have a corresponding `RestrictionSite` feature for each.

  Returns:
    a `RestrictionEnzyme`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD